Subject: Re: [PATCH 8/8] trace: give repo_setup trace its own key

From: Andreas Ericsson <[email-masked]>
Date: Thu, 24 Feb 2011 16:59:50 +0100

On 02/24/2011 03:30 PM, Jeff King wrote:
> You no longer get this output with GIT_TRACE=1; instead, you
> can do GIT_TRACE_SETUP=1.
> 

It would be beneficial if GIT_TRACE still turned on tracing globally
so one doesn't have to know all flags to start tracing for errors.

I also imagine running GIT_TRACE=1 <command> as the first step would
be quite useful for when one's not entirely certain where the problem
lies and then use the specific tracing flag when trying to fix it.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.